/**
 * Записать в корзину (создать корзину, если не существует)
 */
 function verify_resend() {
    // Инициализация

    $.ajax({
        url: '/verify/send',
        type: 'post',
        dataType: 'json',
        success: verify_response_success,
        error: verify_response_error
    });

    return false;
}


function verify_response(data, status) {
    // Обработка ответов

    // Основной блок
    if (data.main !== undefined) {
        main = document.getElementsByTagName('main')[0];

        // Обновление документа
        main.innerHTML = data.main;

        // Реинициализация
        reinitialization(main);
    }

    // Перенаправление
    if (data.redirect !== undefined) {
        // Перенаправление
        history.pushState({}, document.title, data.redirect);
    }

    // CSRF-токен
    if (data._csrf !== undefined) {
        // Обновление документа
        $('meta[name=csrf-token]').prop("content", data._csrf);
    }
}

function verify_response_success(data, status) {
    // Обработка ответов от удавшихся запросов

    verify_response(data, status);
}

function verify_response_error(data, status) {
    // Обработка ответов от неудавшихся запросов

    // Инициализвация
    data = data.responseJSON;

    verify_response(data, status);
}
